Get workflow statistics
Returns aggregated average engagement statistics across all email steps in the workflow, including open rates, click rates, bounces, and unsubscribes.
Endpoint
Section titled “Endpoint”HTTP method: GET
https://api.sender.net/v2/workflows/{id}/average_report
Parameters
Section titled “Parameters”| Parameter | Type | Description |
|---|---|---|
id | string required | Hashed workflow ID. |
Request Examples
Section titled “Request Examples”const url = new URL("https://api.sender.net/v2/workflows/{id}/average_report");
let headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",};
fetch(url, { method: "GET", headers,}).then(response => response.json()).then(data => console.log(data)).catch(error => console.error('Error:', error));$client = new \GuzzleHttp\Client();$response = $client->get( 'https://api.sender.net/v2/workflows/{id}/average_report', [ 'headers' => [ 'Authorization' => 'Bearer [your-token]', 'Content-Type' => 'application/json', 'Accept' => 'application/json', ], ]);
$body = $response->getBody()->getContents();$data = json_decode($body, true);print_r($data);import requestsimport json
url = "https://api.sender.net/v2/workflows/{id}/average_report"
headers = { "Authorization": "Bearer [your-token]", "Content-Type": "application/json", "Accept": "application/json",}
response = requests.request('GET', url, headers=headers)
print(response.json())curl -X GET \-G "https://api.sender.net/v2/workflows/{id}/average_report" \-H "Authorization: Bearer [your-token]" \-H "Content-Type: application/json" \-H "Accept: application/json"Response
Section titled “Response”{ "success": true, "data": { "sent": 5000, "opened": 2000, "clicked": 400, "unsubscribed": 50, "bounced": 30, "open_rate": 40, "click_rate": 8, "unsubscribe_rate": 1, "bounce_rate": 0.6 }}